# Class CIM_OperationLog
extends CIM_UseOfMessageLog

CIM_OperationLog is a specialization of the CIM_UseOfMessageLog association that identifies a reproducible record of operations for a LogicalElement.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_UseOfLog
|
+--CIM_UseOfMessageLog
|
+--CIM_OperationLog

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | CIM_OperationLog is a specialization of the CIM_UseOfMessageLog association that identifies a reproducible record of operations for a LogicalElement.
UMLPackagePath | string | CIM::System::Logs
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_OperationLog | CIM_MessageLog
Dependent | CIM_OperationLog | CIM_LogicalElement

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
RecordedData | string | CIM_UseOfLog

## Class Methods